Subject: [Simple] Re: issue regarding SUBSCRIBE method

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 14 Jun 2004 05:13:15 -0400

inline.

Dror Shlomo wrote:

> Hi,
> 
>  
> 
> I have a question about the SUBSCRIBE method as described in rfc2365 and 
> in draft-ietf-simple-presence-10.txt
> 
>  
> 
>  From rfc3265:
> 
>  
> 
> *3.1.2. Identification of Subscribed Events and Event Classes*
> 
> *…*
> 
> *The "Event" header MAY also contain an "id" parameter.*
> 
> *   This "id" parameter, if present, contains an opaque token which*
> 
> *   identifies the specific subscription within a dialog.* 
> 
>  
> 
> And also
> 
>  
> 
> *3.1.4.1. Requesting a Subscription*
> 
> *…*
> 
> *A SUBSCRIBE request MAY include an "id" parameter in its "Event"*
> 
> *   header to allow differentiation between multiple subscriptions in the*
> 
> *   same dialog.*
> 
>  
> 
> My question is:
> 
>  
> 
>    1. Are multiple subscription in the same dialog allowed in a presence
>       event package?

Yes.

>    2. If so, how do I create the first dialog (SUBSCRIBE? INVITE? BOTH?)

You can use any dialog creating request, so either SUBSCRIBE or INVITE. 
Of course, if you use INVITE, that will create a call in addition to the 
SIP dialog.

>    3. And most importantly, can I subscribe with in the same dialog
>       several times, each with a different From and To URIs?

No. The dialog sharing is meant only to address the case where you want 
to direct several subscriptions to your peer in an existing dialog. If 
you want a way for doing list subscriptions, try this:

http://www.ietf.org/internet-drafts/draft-ietf-simple-event-list-04.txt

I'll also note that lots of problems have been found with dialog sharing 
since it was proposed in RFC3261, and better techniques for providing 
this function have been developed (most notably GRUU).

>    4. Is the example correct regarding the questions above and
>       considered as multiple subscriptions with in the same dialog?
> 
>  
> 
> Example:
> 
>  
> 
>  
> 
> UAC                            UAS
> 
>  
> 
> ------------SUBSCRIBE -------à
> 
> From: sip:bob; tag=123
> 
> To: sip:alice;
> 
> Event: presence; id=1
> 
> Call-ID: [email-masked]
> 
>  
> 
> ß---------200 OK -----------------
> 
>  
> 
> ------------SUBSCRIBE -------à
> 
> From: sip:bob; tag=123
> 
> To: sip:john; tag=234
> 
> Event: presence; id=1
> 
> Call-ID: [email-masked]

No. You can't change the To.

-Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple